module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={
			args={color={a=0,b=255,g=255,r=255,},excutor=[[vicobjs]],fade_time=0,},
			func_name=[[ActorColor]],
			start_time=0,
		},
		[3]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[4]={
			args={sound_path=[[Magic/sound_magic_50802_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[5]={
			args={
				alive_time=2,
				bind_type=[[empty]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_504/Prefabs/504_attack2.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0.0099999999999998,
		},
		[6]={
			args={
				alive_time=2.5,
				color={a=255,b=255,g=255,r=255,},
				excutor=[[vicobjs]],
				fade_time=2.5,
			},
			func_name=[[ActorColor]],
			start_time=0.0099999999999998,
		},
		[7]={
			args={sound_path=[[Magic/sound_magic_50802_0.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0.08,
		},
		[8]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=3,
		},
		[9]={
			args={
				alive_time=2.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_504/Prefabs/504_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=3,
		},
		[10]={args={},func_name=[[End]],start_time=4,},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_504/Prefabs/504_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_504/Prefabs/504_hit2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
